Bug 838138 - Clicking 1st-level nav tab goes to 3rd level link that wasn't even visible
Clicking 1st-level nav tab goes to 3rd level link that wasn't even visible
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: David Davis
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-06 14:18 EDT by Jeff Weiss
Modified: 2014-11-09 17:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-11 12:42:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Weiss 2012-07-06 14:18:22 EDT
Description of problem:


Version-Release number of selected component (if applicable):
Katello Version: 0.2.44-1.git.72.520dd70.el6_3

How reproducible:


Steps to Reproduce:
1. Click "Content" in main nav
2.
3.
  
Actual results:
Page loaded is Content->Subscriptions->Redhat Subscriptions.

Expected results:
Nothing should happen when you click Content.

Additional info:
I don't think this business of "the user clicked the category, so let's just guess that he wants the first item in the category" is a good idea.  I think all non-leaf links in the nav tree should be disabled.  For example, clicking on Subscriptions should do nothing also.
Comment 1 Justin Sherrill 2013-02-12 12:46:44 EST
So i sorta disagree with this.  To me either all of the top level nav items should be disabled or they should all do something.  

It doesn't make sense to have 'dashboard' be a link the dashboard but 'systems' not be a clickable link.  

So with that said, there are three possible solutions:

1.  Make all top level navs do nothing, but provide a subnav to top level buttons that do not have one (I.e. add a sublevel nav for 'dashboard' labeled 'dashboard'.

2.  Add some sort of page as a landing page for 'content' and 'systems'  that directs the user to select one of the sub pages (satellite did this a good bit)

3.  Leave it as it.


My vote would be for #3, but I'd be ok with #2.  I'd probably argue against #1 as it just makes it harder for the user in 75% of the caess just for the 'content' tab to go somewhere different.
Comment 2 Mike McCune 2013-08-16 14:09:25 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 3 Bryan Kearney 2014-03-11 12:42:32 EDT
Closing old bugs which are not relevant based on new UI and CLI
Comment 4 Bryan Kearney 2014-03-11 12:42:53 EDT
Closing old bugs which are not relevant based on new UI and CLI

Note You need to log in before you can comment on or make changes to this bug.